Subject: Re: TBF parameters: overhead and linklayer [UTF-8]?

From: Julien Vehent <[email-masked]>
Date: Tue, 16 Mar 2010 11:03:28 +0100

Thanks Roel,

I then found this wwebsite from your link http://www.adsl-optimizer.dk

I'm trying to find more information on how to use this... documentation is
really not easily accessible.

(currently reading latest iproute2 source code available)

On Tue, 16 Mar 2010 10:06:49 +0100, Roel van Meer <[email-masked]>
wrote:
> Julien Vehent writes:
> 
>> TC_TBF man page seem outdated (even in latest version of iproute2) and
>> doesn't explain what those two parameters do:
>> 
>> # tc qdisc add tbf help
>> Usage: ... tbf limit BYTES burst BYTES[/BYTES] rate KBPS [ mtu
>> BYTES[/BYTES] ]
>>         [ peakrate KBPS ] [ latency TIME ] [ overhead BYTES ] [
linklayer
>> TYPE ]
>> 
>> 
>>  - overhead ?
>>  - linklayer ?
>> 
>> Or did I miss something ?
> 
> No, you're right. You might want to have a look at this page:
> http://ace-host.stuart.id.au/russell/files/tc/tc-atm/
> 
> Regards,
> 
> roel